# module Kramdown

TODO: use [[:alpha:]] in all regexp to allow parsing of international values in 1.9.1 NOTE: use @src.pre_match only before other check/match?/… operations, otherwise the content is changed

This file is based on code originally from the Stringex library and needs the data files from Stringex to work correctly.

### Constants

VERSION

  The kramdown version.

### Public Class Methods

data_dir() click to toggle source

Return the data directory for kramdown.

    # File lib/kramdown/document.rb, line 51
    def self.data_dir
      unless defined?(@@data_dir)
        require 'rbconfig'
        @@data_dir = File.expand_path(File.join(File.dirname(__FILE__), '..', '..', 'data', 'kramdown'))
        @@data_dir = File.expand_path(File.join(Config::CONFIG["datadir"], "kramdown")) if !File.exists?(@@data_dir)
        raise "kramdown data directory not found! This is a bug, please report it!" unless File.directory?(@@data_dir)
      end
      @@data_dir
    end